package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.model.MarkGroup;
import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class MarkerInfoDTO {

    @ExcelField(title = "课程代码", align = 2, sort = 10)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 20)
    private String subjectName;

    @ExcelField(title = "分组序号", align = 2, sort = 30)
    private String groupNumber;

    @ExcelField(title = "大题名称", align = 2, sort = 40)
    private String groupName;

    @ExcelField(title = "分组总分", align = 2, sort = 50)
    private Double totalScore;

    @ExcelField(title = "登录名", align = 2, sort = 60)
    private String loginName;

    @ExcelField(title = "工号", align = 2, sort = 70)
    private String empno;

    @ExcelField(title = "姓名", align = 2, sort = 80)
    private String name;

    @ExcelField(title = "评卷数量", align = 2, sort = 90)
    private long markedCount;

    public MarkerInfoDTO(Marker marker, ExamSubject subject, MarkGroup group) {
        setSubjectCode(subject.getCode());
        setSubjectName(subject.getName());
        setGroupName(group.getQuestionTitle());
        setGroupNumber(String.valueOf(group.getNumber()));
        setLoginName(marker.getUser().getLoginName());
        setName(marker.getUser().getName());
        setMarkedCount(marker.getMarkedCount());
        setEmpno(marker.getUser().getEmpno());
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(String groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getEmpno() {
        return empno;
    }

    public void setEmpno(String empno) {
        this.empno = empno;
    }

}
